summaryrefslogtreecommitdiffstats
path: root/office/catdoc
diff options
context:
space:
mode:
author Cezary M. Kruk <c.kruk@bigfoot.com>2010-05-12 23:32:59 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:32:59 +0200
commit1d39f97e9d2cfbd184ad58270f6cb3d9e9db1b78 (patch)
tree4c183789a1002d44c806020522699ed062446d56 /office/catdoc
parent3c0d0ed10fd9d54954c21c24951aafbc00c11e0a (diff)
downloadslackbuilds-1d39f97e9d2cfbd184ad58270f6cb3d9e9db1b78.tar.gz
slackbuilds-1d39f97e9d2cfbd184ad58270f6cb3d9e9db1b78.tar.xz
office/catdoc: Added to 12.2 repository
Diffstat (limited to 'office/catdoc')
-rw-r--r--office/catdoc/README4
-rw-r--r--office/catdoc/catdoc.SlackBuild86
-rw-r--r--office/catdoc/catdoc.info8
-rw-r--r--office/catdoc/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/office/catdoc/README b/office/catdoc/README
new file mode 100644
index 0000000000..a89983f1eb
--- /dev/null
+++ b/office/catdoc/README
@@ -0,0 +1,4 @@
+catdoc reads MS Word file and prints readable ASCII text to stdout, just
+like Unix cat command. It also able to produce correct escape sequences
+if some UNICODE characters have to be represented specially in your
+typesetting system such as (La)TeX.
diff --git a/office/catdoc/catdoc.SlackBuild b/office/catdoc/catdoc.SlackBuild
new file mode 100644
index 0000000000..eddcd82466
--- /dev/null
+++ b/office/catdoc/catdoc.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for catdoc
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=catdoc
+VERSION=${VERSION:-0.94.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-debug
+
+make
+
+mkdir -p $PKG/usr/bin
+cd src
+ cp -a catdoc catppt wordview xls2csv $PKG/usr/bin
+cd -
+
+mkdir -p $PKG/usr/man/man1
+cd doc
+ cp -a catdoc.1 catppt.1 wordview.1 xls2csv.1 $PKG/usr/man/man1
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CODING.STD COPYING CREDITS INSTALL INSTALL.dos NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/office/catdoc/catdoc.info b/office/catdoc/catdoc.info
new file mode 100644
index 0000000000..7f487b85a4
--- /dev/null
+++ b/office/catdoc/catdoc.info
@@ -0,0 +1,8 @@
+PRGNAM="catdoc"
+VERSION="0.94.2"
+HOMEPAGE="http://vitus.wagner.pp.ru/software/catdoc/"
+DOWNLOAD="http://ftp.wagner.pp.ru/pub/catdoc/catdoc-0.94.2.tar.gz"
+MD5SUM="243e1680bb3e703616f5adecfee24491"
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"
diff --git a/office/catdoc/slack-desc b/office/catdoc/slack-desc
new file mode 100644
index 0000000000..1ddd97d7e4
--- /dev/null
+++ b/office/catdoc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+catdoc: catdoc (console MS Word files reader)
+catdoc:
+catdoc: catdoc reads MS Word file and prints readable ASCII text to stdout,
+catdoc: just like Unix cat command. It also able to produce correct escape
+catdoc: sequences if some UNICODE characters have to be represented specially
+catdoc: in your typesetting system such as (La)TeX.
+catdoc:
+catdoc:
+catdoc:
+catdoc:
+catdoc: